---
description: Learn about how to get started contributing code to Lando.
metaTitle: Getting Started Writing Code for Lando | Lando
---

# Getting Started

This section is designed for people who want to contribute `code things` to Lando. Specifically, that might mean working on some of the following:

* Lando itself and its plugins
* Lando's DevOps pipeline e.g. build, test and deploy
* Lando's tests and testing infrastructure
* Lando's documentation and Vuepress documentation site
* Lando's express API
* Lando's marketing website
* Lando's metrics server
* Lando's Vuepress marketing site
* Lando's Vuepress events listing
* Lando's Vuepress blog

## What do I need to get started?

You will need to go through all the steps in our [Getting Involved](contributing.md) section if you have not done so already. This will get you rolling for contribution. All the steps from the aforementioned section for completeness are shown below:

1. [Join](./comms.md)
2. [Install Lando from source and activate secret toggle](./activate.md)
3. [Add yourself as a contributor](./first.md)

## Good First Issues

Once you are set up and ready to contribute, a good place to start is with issues tagged as [good first issue](https://github.com/lando/lando/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22). Peruse the list and see if one or more of those issues is a good fit for you.

If you are having issues with any of the above or need some guidance from one of our guide pros, make sure you [join our Slack org](https://launchpass.com/devwithlando) and check out the **#community** and/or **#contributors** channels.
